module tileset;

import dsfml.window.all;
import dsfml.system.all;
import dsfml.graphics.all;

import imagecache;

alias Image[int] TileList;

class Tileset {
    private Cache cache;
    public TileList tiles;

    this(Cache cache) {
	this.cache = cache;	
    }

    void add_tile(int id, char[] filename) {
	this.tiles[id] = this.cache.get_image(filename);
    }
}
